Bug 651317 - perl(Class::ISA) module must be subpackaged to dual-live properly
Summary: perl(Class::ISA) module must be subpackaged to dual-live properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-09 09:06 UTC by Petr Pisar
Modified: 2010-11-22 22:19 UTC (History)
9 users (show)

Fixed In Version: perl-Class-ISA-0.36-1003.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 22:19:12 UTC
Type: ---


Attachments (Terms of Use)

Description Petr Pisar 2010-11-09 09:06:13 UTC
CGI::Application modules uses Class::ISA, perl-5.12 complains:

+ ./Build test
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
# Testing CGI::Application::Plugin::LinkIntegrity 0.06
t/00.load.t ....................... ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/01-link.t ....................... ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/02-self_link.t .................. ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/03-path_info_link.t ............. ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/04-hmac.t ....................... ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/05-tampering.t .................. ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/06-built_in_link_tampered_rm.t .. ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/07-invalid_checksum_hook.t ...... ok
Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at /usr/share/perl5/CGI/Application.pm, line 4.
t/pod-coverage.t .................. ok
t/pod.t ........................... ok
All tests successful.


We already have dual-lived package since F14:

$ repoquery --whatprovides 'perl(Class::ISA)' --repoid=dist-f14
perl-4:5.12.2-136.fc14.x86_64
perl-Class-ISA-0:0.36-2.fc14.noarch

However the name of the package does match standalone package. As both packages provide the same module version:

$ repoquery --provides perl-Class-ISA --repoid=dist-f14
perl(Class::ISA) = 0.36
perl-Class-ISA = 0.36-2.fc14
$ repoquery --provides perl --repoid=dist-f14 |grep Class::ISA
perl(Class::ISA) = 0.36

the one from perl package is preferred.

This could mask module upgrade (if no package required explicitly newer version then the one that's bundled with perl).

Comment 1 Fedora Update System 2010-11-09 13:35:36 UTC
perl-Class-ISA-0.36-1003.fc14,perl-5.12.2-139.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Class-ISA-0.36-1003.fc14,perl-5.12.2-139.fc14

Comment 2 Fedora Update System 2010-11-10 01:05:35 UTC
perl-Class-ISA-0.36-1003.fc14, perl-5.12.2-139.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Class-ISA perl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Class-ISA-0.36-1003.fc14,perl-5.12.2-139.fc14

Comment 3 Fedora Update System 2010-11-22 22:18:57 UTC
perl-Class-ISA-0.36-1003.fc14, perl-5.12.2-139.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.